Core - Bug # 68636

Status: Resolved Priority: Must have

Author: Frans Saris Category: Extension Manager
Created: 2015-07-29 Assigned To: Frans Saris
Updated: 2015-07-30 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: medium

Is Regression: No

Sprint Focus:

Stabilization Sprint

Subiject:

Extension manager shouldn't use FAL based ImageViewHelper

Description

Doing so will create sys_file records for EM internal images.

When exporting records (t3d) those files will be included in the export as well.

Importing such a t3d file will try to write the internal images to EM again. This fails and a copy with suffix "_1" will be created.

This modifies the Core source, which is a NO-GO!

Related issues:

related to Core - Bug # 68528: official introduction package fails to install... Resolved 2015-07-25

Associated revisions

Revision 7074c79a - 2015-07-30 12:49 - Frans Saris

[BUGFIX] Don't use FAL based ImageViewHelper in extension manager

Resolves: #68636

Releases: master, 6.2

Change-Id: 115¢c48447d0226518f0bdf8459295a82e49864306
Reviewed-on: http://review.typo3.org/42119

Reviewed-by: Nicole Cordes <typo3@cordes.co>

Tested-by: Nicole Cordes <t

o3@cordes.co>

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Reviewed-by: Markus Klein <markus.klein@typo3.org>

Tested-by: Markus Klein <markus.klein@typo3.org>

Revision dc061b0c - 2015-07-30 12:58 - Frans Saris

[BUGFIX] Don't use FAL based ImageViewHelper in extension manager

Resolves: #68636

Releases: master, 6.2

Change-Id: 115c48447d0226518f0bdf8459295a82e49864306
Reviewed-on: http://review.typo3.org/42135

Reviewed-by: Markus Klein <markus.klein@typo3.org>

Tested-by: Markus Klein <markus.klein@typo3.org>
#1 - 2015-07-29 22:13 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/42119

#2 - 2015-07-29 22:14 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/42119

#3 - 2015-07-29 22:19 - Markus Klein

- Description updated

- Assigned To set to Frans Saris

- Priority changed from Should have to Must have
- Target version set to 6.2.15

- Complexity set to medium

#4 - 2015-07-29 22:52 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/42119

#5 - 2015-07-30 12:34 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/42119

#6 - 2015-07-30 12:41 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/42119

#7 - 2015-07-30 12:52 - Frans Saris
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7074c79ab54187aedc80b6c39e593fc35ad07¢29.

#8 - 2015-07-30 12:56 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/42135
#9 - 2015-07-30 13:00 - Frans Saris
- Status changed from Under Review to Resolved

Applied in changeset commit:dc061b0c1921cd80a189378727fe7f19f99e1977.
